Bug 4011 - Article Submission payment issues:
Article Submission payment issues:
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Plug-ins
2.2.3
PC Mac OS X 10.0
: P1 normal
Assigned To: Juan Pablo Alperin
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-16 16:41 PST by James MacGregor
Modified: 2009-03-21 04:45 PDT (History)
3 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments
Patch against OJS-stable CVS (pre 2.2.3) (9.36 KB, patch)
2009-02-23 05:49 PST, Juan Pablo Alperin
Details | Diff
patch against OJS CVS pre 2.3 (9.43 KB, patch)
2009-03-20 13:02 PDT, Juan Pablo Alperin
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James MacGregor 2009-01-16 16:41:35 PST
On Article Submission Step 5, if Article Submission Fees have been enabled:

1. Request Waiver (applicable to both Paypal and Manual plugins):

For an author to request a fee waiver, he must check the waiver checkbox *and* enter text into the explicatory field. This is a potential source of confusion, as there is no indication that an entry must be made into the waiver field. 

If the author checks the the waiver checkbox and doesn't enter text, they are sent to the interstitial payment page (for paypal), or to the payment instruction page (for manual). Not such a big deal for Paypal as the user can always click the 'back' button to correct their omission, but it's still potentially confusing as to why the fee isn't being waived. In the case of manual payments, visiting the payment instruction page sends a manual payment notification email to the primary contact, even though at this point the submission is in fact still incomplete. This is far more confusing, and there is no indication to the author that they may have to actually return to the incomplete submission to fix their omission.

2. Payment Handling (specific to the Manual payment plugin):

If the author clicks the "pay now" link on the Step 5 submission page, he's directed to the Manual payment instruction page and a payment notification email is sent to the primary contact, even though at this point the author is probably still just trying to figure out what to do viz. payment and has in fact not 'paid'; presumably, the instructions would say to return to the last page and check the "already paid" checkbox and continue as normal, but the whole system is unintuitive and jagged in terms of logical workflow. 

I don't have particular solutions to the above two situations: if the user understands what is being asked of them they can work with the system, but the system doesn't make it easy. Paypal works much more intuitively than the Manual plugin. What about changing the Manual plugin's notification function like so: the author (or user, in any other payment situation across the system) clicks a 'pay now' link, which brings them to the instructions page; but instead of having a notification email sent automatically (esp. one that the user doesn't even know about!), have an email button linked to a generic 'notification of payment' email template. Sending this email would return the user to eg. Submission Step 5 whereupon they could complete the submission normally.
Comment 1 Ling 2009-01-21 12:24:16 PST
(In reply to comment #0)
> On Article Submission Step 5, if Article Submission Fees have been enabled:
> 
> 1. Request Waiver (applicable to both Paypal and Manual plugins):
> 
> For an author to request a fee waiver, he must check the waiver checkbox *and*
> enter text into the explicatory field. This is a potential source of confusion,
> as there is no indication that an entry must be made into the waiver field. 
> 
> If the author checks the the waiver checkbox and doesn't enter text, they are
> sent to the interstitial payment page (for paypal), or to the payment
> instruction page (for manual). Not such a big deal for Paypal as the user can
> always click the 'back' button to correct their omission, but it's still
> potentially confusing as to why the fee isn't being waived. In the case of
> manual payments, visiting the payment instruction page sends a manual payment
> notification email to the primary contact, even though at this point the
> submission is in fact still incomplete. This is far more confusing, and there
> is no indication to the author that they may have to actually return to the
> incomplete submission to fix their omission.
> 
> 2. Payment Handling (specific to the Manual payment plugin):
> 
> If the author clicks the "pay now" link on the Step 5 submission page, he's
> directed to the Manual payment instruction page and a payment notification
> email is sent to the primary contact, even though at this point the author is
> probably still just trying to figure out what to do viz. payment and has in
> fact not 'paid'; presumably, the instructions would say to return to the last
> page and check the "already paid" checkbox and continue as normal, but the
> whole system is unintuitive and jagged in terms of logical workflow. 
> 
> I don't have particular solutions to the above two situations: if the user
> understands what is being asked of them they can work with the system, but the
> system doesn't make it easy. Paypal works much more intuitively than the Manual
> plugin. What about changing the Manual plugin's notification function like so:
> the author (or user, in any other payment situation across the system) clicks a
> 'pay now' link, which brings them to the instructions page; but instead of
> having a notification email sent automatically (esp. one that the user doesn't
> even know about!), have an email button linked to a generic 'notification of
> payment' email template. Sending this email would return the user to eg.
> Submission Step 5 whereupon they could complete the submission normally.
> 

Comment 2 Alec Smecher 2009-02-13 10:50:59 PST
Juan, would you mind looking into this one?
Comment 3 Juan Pablo Alperin 2009-02-23 05:49:18 PST
Created attachment 1470 [details]
Patch against OJS-stable CVS (pre 2.2.3)

Changes to author submit fee workflow and to manual payment notification (now requires users to click on "notify" link).
Comment 4 Juan Pablo Alperin 2009-02-23 05:55:21 PST
committed to OJS-stable.  Not yet committed to OJS-dev.
Comment 5 Alec Smecher 2009-02-23 09:06:28 PST
Thanks, Juan -- looks good.
Comment 6 Juan Pablo Alperin 2009-02-23 09:08:29 PST
Leaving open until I commit to OJS-dev.  Will do this as soon as I get around to making the patch.
Comment 7 Juan Pablo Alperin 2009-03-20 13:02:08 PDT
Created attachment 1600 [details]
patch against OJS CVS pre 2.3

committed to OJS-dev. Closing.
Comment 8 Juan Pablo Alperin 2009-03-20 13:02:59 PDT
actually closing now.
Comment 9 Alec Smecher 2009-03-21 00:02:55 PDT
Juan, this adds a new locale key, but most of the translators have already finished... Can that part of the patch be deferred to a future release? (Also, it looks like your editor is fond of adding whitespace to the end of lines; could you see if it's possible to get it to tidy those up?)
Comment 10 Juan Pablo Alperin 2009-03-21 04:45:35 PDT
The commit to the 2.2.3 branch was done a while ago.  This was a commit to the dev branch.